(defun c:tspline ()
  (command "linetype" "l" "dashed" "" "" "")
  (command "ltscale" "25" "")
  (command "layer" "m" "s-2" "")
  (command "layer" "c" "30" "s-2" "")
  (setq ss1 (ssget "x" '((0 . "polyline") (8 . "3d-2")))
        l   (sslength ss1))
  (setq i         0
        vy        (ssname ss1 i)
        n         1
        kont      1
        topversay 0)
  (while (<= kont l)
    (while (not (equal "SEQEND" (cdr (assoc 0 (entget (entnext vy))))))
      (setq vax (read (strcat "va" (itoa n))))
      (set vax (entnext vy))
      (setq vvx (read (strcat "vv" (itoa n))))
      (set vvx (entget (eval vax)))
      (setq vy        (eval vax)
            n         (1+ n)
            topversay (1+ topversay)))
    (setq s  1
          sl nil)
    (repeat topversay
      (setq vvx (read (strcat "vv" (itoa s))))
      (setq 3dvx (read (strcat "3dv" (itoa s))))
      (set 3dvx (list (cadr (assoc 10 (eval vvx))) (caddr (assoc 10 (eval vvx))) (cadddr (assoc 10 (eval vvx)))))
      (setq sl (cons (eval 3dvx) sl))
      (setq s (+ s 1)))
    (setq sl (reverse sl))
    (setq comm (list "spline" 'command))
    (foreach pt sl
      (setq pt   (list 'quote pt)
            comm (cons pt comm)))
    (setq comm (cons "" comm))
    (setq comm (cons "" comm))
    (setq comm (cons "" comm))
    (eval (reverse comm))
    (setq h (cdr (assoc 5 (entget (entlast)))))
    (command "change" (handent h) "" "p" "c" "30" "")
    (setq i         (1+ i)
          vy        (ssname ss1 i)
          n         1
          kont      (1+ kont)
          topversay 0))
  (command "layer" "m" "s-3" "")
  (command "layer" "c" "30" "s-3" "")
  (setq ss1 (ssget "x" '((0 . "polyline") (8 . "3d-3")))
        l   (sslength ss1))
  (setq i         0
        vy        (ssname ss1 i)
        n         1
        kont      1
        topversay 0)
  (while (<= kont l)
    (while (not (equal "SEQEND" (cdr (assoc 0 (entget (entnext vy))))))
      (setq vax (read (strcat "va" (itoa n))))
      (set vax (entnext vy))
      (setq vvx (read (strcat "vv" (itoa n))))
      (set vvx (entget (eval vax)))
      (setq vy        (eval vax)
            n         (1+ n)
            topversay (1+ topversay)))
    (setq s  1
          sl nil)
    (repeat topversay
      (setq vvx (read (strcat "vv" (itoa s))))
      (setq 3dvx (read (strcat "3dv" (itoa s))))
      (set 3dvx (list (cadr (assoc 10 (eval vvx))) (caddr (assoc 10 (eval vvx))) (cadddr (assoc 10 (eval vvx)))))
      (setq sl (cons (eval 3dvx) sl))
      (setq s (+ s 1)))
    (setq sl (reverse sl))
    (setq comm (list "spline" 'command))
    (foreach pt sl
      (setq pt   (list 'quote pt)
            comm (cons pt comm)))
    (setq comm (cons "" comm))
    (setq comm (cons "" comm))
    (setq comm (cons "" comm))
    (eval (reverse comm))
    (setq h (cdr (assoc 5 (entget (entlast)))))
    (command "change" (handent h) "" "p" "c" "30" "")
    (setq i         (1+ i)
          vy        (ssname ss1 i)
          n         1
          kont      (1+ kont)
          topversay 0))
  (command "layer" "m" "s-4" "")
  (command "layer" "c" "2" "s-4" "")
  (command "layer" "l" "dashed" "s-4" "")
  (setq ss1 (ssget "x" '((0 . "polyline") (8 . "3d-4")))
        l   (sslength ss1))
  (setq i         0
        vy        (ssname ss1 i)
        n         1
        kont      1
        topversay 0)
  (while (<= kont l)
    (while (not (equal "SEQEND" (cdr (assoc 0 (entget (entnext vy))))))
      (setq vax (read (strcat "va" (itoa n))))
      (set vax (entnext vy))
      (setq vvx (read (strcat "vv" (itoa n))))
      (set vvx (entget (eval vax)))
      (setq vy        (eval vax)
            n         (1+ n)
            topversay (1+ topversay)))
    (setq s  1
          sl nil)
    (repeat topversay
      (setq vvx (read (strcat "vv" (itoa s))))
      (setq 3dvx (read (strcat "3dv" (itoa s))))
      (set 3dvx (list (cadr (assoc 10 (eval vvx))) (caddr (assoc 10 (eval vvx))) (cadddr (assoc 10 (eval vvx)))))
      (setq sl (cons (eval 3dvx) sl))
      (setq s (+ s 1)))
    (setq sl (reverse sl))
    (setq comm (list "spline" 'command))
    (foreach pt sl
      (setq pt   (list 'quote pt)
            comm (cons pt comm)))
    (setq comm (cons "" comm))
    (setq comm (cons "" comm))
    (setq comm (cons "" comm))
    (eval (reverse comm))
    (setq h (cdr (assoc 5 (entget (entlast)))))
    (command "change" (handent h) "" "p" "lt" "dashed" "")
    (command "change" (handent h) "" "p" "c" "2" "")
    (setq i         (1+ i)
          vy        (ssname ss1 i)
          n         1
          kont      (1+ kont)
          topversay 0))
)

