(defun c:tvpoly ()
  (setvar "blipmode" 0)
  (setvar "highlight" 0)
  (setvar "cmdecho" 0)
  (setq n 1)
  (setq ex (read (strcat "e" (itoa n))))
  (set ex (entnext))
  (setq edx (read (strcat "ed" (itoa n))))
  (set edx (assoc 0 (entget (eval ex))))
  (while (not (equal '(0 . "POLYLINE") (eval edx)))
    (setq e (eval ex))
    (setq n (1+ n))
    (setq ex (read (strcat "e" (itoa n))))
    (set ex (entnext e))
    (setq edx (read (strcat "ed" (itoa n))))
    (set edx (assoc 0 (entget (eval ex)))))
  (setq ss (ssget "x" '((0 . "POLYLINE")))
        l  (sslength ss)
        i  1
        j  1)
  (setq px (read (strcat "p" (itoa i))))
  (set px (eval ex))
  (setq pdx (read (strcat "pd" (itoa i))))
  (set pdx (entget (eval px)))
  (setq sx (read (strcat "s" (itoa 0))))
  (set sx 1)
  (while (<= i l)    
    (setq vx (read (strcat "v" (itoa j))))
    (set vx (entnext (eval px)))
    (setq vdx (read (strcat "vd" (itoa j))))
    (set vdx (entget (eval vx)))
    (while (equal '(0 . "VERTEX") (assoc 0 (eval vdx)))
      (setq v (eval vx))
      (setq j (1+ j))
      (setq vx (read (strcat "v" (itoa j))))
      (set vx (entnext v))
      (setq vdx (read (strcat "vd" (itoa j))))
      (set vdx (entget (eval vx))))
    (setq kx (read (strcat "k" (itoa i))))
    (setq n (- i 1))
    (setq sx (read (strcat "s" (itoa n))))
    (set kx (- j (eval sx)))
    (setq n (1+ n))
    (setq sx (read (strcat "s" (itoa n))))
    (set sx (eval j))
    (if (and (not (equal '(0 . "POLYLINE") (assoc 0 (eval vdx)))) (/= i l))
      (progn
        (setq j (- j 1))
        (setq r (eval vx))
        (setq rd (entget r))
        (while (not (equal '(0 . "POLYLINE") (assoc 0 rd)))
          (setq r (entnext r))
          (setq rd (entget r)))
        (setq i (1+ i))
        (setq px (read (strcat "p" (itoa i))))
        (set px r)
        (setq pdx (read (strcat "pd" (itoa i))))
        (set pdx rd))
      (setq i (1+ i)))
    (setq j (1+ j)))
  (setq i (- i 1)
        j (- j 2))
  (setq polylines (open "demo1.poly" "w"))
  (princ "#" polylines)
  (princ j polylines)
  (princ " nokta, 2 boyutlu, attribute yok, boundary marker yok" polylines)
  (princ polylines)
  (write-line "\n" polylines)
  (princ j polylines)
  (princ "\t" polylines)
  (princ 2 polylines)
  (princ "\t" polylines)
  (princ 0 polylines)
  (princ "\t" polylines)
  (princ 0 polylines)
  (princ polylines)
  (write-line "\n" polylines)
  (setq f 1
        m 1
        a 1)
  (while (<= f i)
    (princ "#Polyline" polylines)
    (princ "\t" polylines)
    (princ f polylines)
    (princ polylines)
    (write-line "\n" polylines)
    (setq kx (read (strcat "k" (itoa f))))
    (repeat (eval kx)
      (princ a polylines)
      (setq vdx (read (strcat "vd" (itoa a))))
      (princ "\t" polylines)
      (princ (cadr (assoc 10 (eval vdx))) polylines)
      (princ "\t" polylines)
      (princ (caddr (assoc 10 (eval vdx))) polylines)
      (princ "\t" polylines)
      (princ 0 polylines)
      (princ polylines)
      (write-line "\n" polylines)
      (setq a (1+ a)))
    (setq f (1+ f)))
  (setq f 1
        m 1
        a 1
        u 1
        q 2)
  (while (<= f i)
    (setq kx (read (strcat "k" (itoa f))))
    (repeat (- (eval kx) 1)
      (setq a (1+ a)
            u (1+ u)
            q (1+ q)))
    (setq vdx (read (strcat "vd" (itoa u))))
    (setq vdy (read (strcat "vd" (itoa (- u (- (eval kx) 1))))))
    (if (and (= (cadr (assoc 10 (eval vdx))) (cadr (assoc 10 (eval vdy))))
             (= (caddr (assoc 10 (eval vdx))) (caddr (assoc 10 (eval vdy)))))
        (setq a (1+ a)))
    (setq f (1+ f)
          u (1+ u)
          q (1+ q)))
  (setvar "cmdecho" 1)
  (setq s 1
        o 1)
  (command "layer" "s" "sinir-noktalari" "")
  (while (setq pt (getpoint "Snr noktasn seiniz: "))
    (command "point" pt "")
    (while (<= m j)
      (setq vdx (read (strcat "vd" (itoa m))))
      (if (and (= (car pt) (cadr (assoc 10 (eval vdx)))) 
               (= (cadr pt) (caddr (assoc 10 (eval vdx)))))
          (progn
            (setq bx (read (strcat "b" (itoa s))))
            (set bx m)
            (setq m (+ j 1)
                  s (1+ s))))
      (setq m (1+ m)))
    (setq m 1))
  (setvar "cmdecho" 0)
  (while (<= o (- s 1))
    (setq bx (read (strcat "b" (itoa o))))
    (setq o (1+ o))
    (setq bx (read (strcat "b" (itoa o))))
    (if (= b1 (eval bx))
      (setq o s)
      (progn
        (if (= o (- s 1))
          (progn
            (setq a (1+ a))
            (setq o s))
          (setq a (1+ a))))))
  (command "layer" "s" "zorlama-segmentleri" "")
  (princ "#" polylines)
  (princ a polylines)
  (princ " segment, boundary marker var" polylines)
  (princ polylines)
  (write-line "\n" polylines)
  (princ a polylines)
  (princ "\t" polylines)
  (princ 1 polylines)
  (princ polylines)
  (write-line "\n" polylines)
  (setq f 1
        m 1
        a 1
        u 1
        q 2)
  (while (<= f i)
    (princ "#Polyline" polylines)
    (princ "\t" polylines)
    (princ f polylines)
    (princ polylines)
    (write-line "\n" polylines)
    (setq kx (read (strcat "k" (itoa f))))
    (repeat (- (eval kx) 1)
      (princ a polylines)
      (princ "\t" polylines)
      (princ u polylines)
      (princ "\t" polylines)
      (princ q polylines)
      (princ "\t" polylines)
      (princ 0 polylines)
      (princ polylines)
      (command "line" (cdr (assoc 10 (eval (read (strcat "vd" (itoa u)))))) (cdr (assoc 10 (eval (read (strcat "vd" (itoa q)))))) "")
      (write-line "\n" polylines)
      (setq a (1+ a)
            u (1+ u)
            q (1+ q)))
    (setq vdx (read (strcat "vd" (itoa u))))
    (setq vdy (read (strcat "vd" (itoa (- u (- (eval kx) 1))))))
    (if (and (= (cadr (assoc 10 (eval vdx))) (cadr (assoc 10 (eval vdy))))
             (= (caddr (assoc 10 (eval vdx))) (caddr (assoc 10 (eval vdy)))))
        (progn
          (princ a polylines)
          (princ "\t" polylines)
          (princ u polylines)
          (princ "\t" polylines)
          (princ (- u (- (eval kx) 1)) polylines)
          (princ "\t" polylines)
          (princ 0 polylines)
          (princ polylines)
          (command "line" (cdr (assoc 10 (eval (read (strcat "vd" (itoa u)))))) (cdr (assoc 10 (eval (read (strcat "vd" (itoa (- u (- (eval kx) 1)))))))) "")
          (write-line "\n" polylines)
          (setq a (1+ a))))
    (setq f (1+ f)
          u (1+ u)
          q (1+ q)))
  (setq o 1)
  (princ "#" polylines)
  (princ "Borders" polylines)
  (write-line "\n" polylines)
  (while (<= o (- s 1))
    (princ a polylines)
    (princ "\t" polylines)
    (setq bx (read (strcat "b" (itoa o))))
    (princ (eval bx) polylines)
    (princ "\t" polylines)
    (setq o (1+ o))
    (setq bx (read (strcat "b" (itoa o))))
    (if (= b1 (eval bx))
      (progn
        (princ (eval bx) polylines)
        (princ "\t" polylines)
        (princ 1 polylines)
        (command "line" (cdr (assoc 10 (eval (read (strcat "vd" (itoa (eval (read (strcat "b" (itoa (- o 1))))))))))) (cdr (assoc 10 (eval (read (strcat "vd" (itoa (eval (read (strcat "b" (itoa o)))))))))) "")
        (write-line "\n" polylines)
        (setq o s))
      (progn
        (if (= o (- s 1))
          (progn
            (princ (eval bx) polylines)
            (princ "\t" polylines)
            (princ 1 polylines)
            (command "line" (cdr (assoc 10 (eval (read (strcat "vd" (itoa (eval (read (strcat "b" (itoa (- o 1))))))))))) (cdr (assoc 10 (eval (read (strcat "vd" (itoa (eval (read (strcat "b" (itoa o)))))))))) "")
            (write-line "\n" polylines)
            (setq a (1+ a))
            (princ a polylines)
            (princ "\t" polylines)
            (princ (eval bx) polylines)
            (princ "\t" polylines)
            (princ b1 polylines)    
            (princ "\t" polylines)
            (princ 1 polylines)
            (command "line" (cdr (assoc 10 (eval (read (strcat "vd" (itoa (eval (read (strcat "b" (itoa o)))))))))) (cdr (assoc 10 (eval (read (strcat "vd" (itoa (eval (read (strcat "b" (itoa 1)))))))))) "")
            (write-line "\n" polylines)
            (setq o s))
          (progn
            (princ (eval bx) polylines)
            (princ "\t" polylines)
            (princ 1 polylines)
            (command "line" (cdr (assoc 10 (eval (read (strcat "vd" (itoa (eval (read (strcat "b" (itoa (- o 1))))))))))) (cdr (assoc 10 (eval (read (strcat "vd" (itoa (eval (read (strcat "b" (itoa o)))))))))) "")
            (write-line "\n" polylines)
            (setq a (1+ a)))))))
  (princ "#" polylines)
  (princ "Hole yok " polylines)
  (write-line "\n" polylines)
  (princ 0 polylines)
  (princ polylines)
  (setq polylines (close polylines))
)

