(defun gbspline ()

;; a: Number of polygon vertices minus one
;; c: Order of B-Spline basis
;; vx: Ykseklik erisi noktalarnn x koordinatlarn ieren liste
;; vy: Ykseklik erisi noktalarnn y koordinatlarn ieren liste
;; vz: Ykseklik erisi noktalarnn z koordinatlarn ieren liste

  (setq a (- (length 3dpoly-sl) 1)
        c 2)
  (setq i 0)
  (repeat (length 3dpoly-sl)
    (setq vxx (read (strcat "vx" (itoa i))))          
    (set vxx (car (nth i 3dpoly-sl)))
    (setq vyx (read (strcat "vy" (itoa i))))          
    (set vyx (cadr (nth i 3dpoly-sl)))
    (setq vzx (read (strcat "vz" (itoa i))))          
    (set vzx (caddr (nth i 3dpoly-sl)))
    (setq i (1+ i))
  )

;; s: Control variable s=2 for 2-D curve, s=3 for 3-D curve
;; p: The number of points generated along the curve

  (setq s 2
        p 11
        b (+ (- a c) 2))

;;;;;;;;;;;;;;;?????????????????????
  (setq g 0
        h 0
        z 0)
;;;;;;;;;;;;;;;?????????????????????

  (setq i 0)
  (gknot)
  (setq p (+ (* (fix (/ (- p 1) (eval (read (strcat "x" (itoa (+ a c))))))) (eval (read (strcat "x" (itoa (+ a c)))))) 1))
  (setq w (- c 1))
  (while (<= w (+ c b))
    (setq i 0)
    (while (<= i (- (+ b (* (- c 1) 2)) 1))
      (if (/= i w)
        (g340)
        (if (=
              (eval (read (strcat "x" (itoa i))))
              (eval (read (strcat "x" (itoa (+ i 1)))))
            )
          (g340)
          (progn
            (setq nx (read (strcat "n" (itoa i))))
            (setq nxy (read (strcat (strcat "n" (itoa i)) (itoa 1))))          
            (set nxy 1)
          )
        )
      )
      (setq i (+ i 1))
    )
    (setq t (eval (read (strcat "x" (itoa w)))))
    (while (<= t (- (eval (read (strcat "x" (itoa (+ w 1))))) (/ (eval (read (strcat "x" (itoa (+ a c))))) (- p 1))))
      (setq l (+ l 1)
            k 2)
      (while (<= k c)
        (setq i 0)
        (while (<= i a)
          (setq nx (read (strcat "n" (itoa i))))
          (setq nxy (read (strcat (strcat "n" (itoa i)) (itoa (- k 1)))))
          (if (/= (eval nxy) 0)
            (g430)
            (setq d 0)
          )
          (if (/= (eval (read (strcat (strcat "n" (itoa (+ i 1))) (itoa (- k 1))))) 0)
            (g470)
            (progn
              (setq e 0)
              (set (read (strcat (strcat "n" (itoa i)) (itoa k))) (+ d e))
              (setq g (+ (* (eval (read (strcat "vx" (itoa i)))) (eval (read (strcat (strcat "n" (itoa i)) (itoa k))))) g))
              (setq h (+ (* (eval (read (strcat "vy" (itoa i)))) (eval (read (strcat (strcat "n" (itoa i)) (itoa k))))) h))
              (if (/= s 2)
                (setq z (+ (* (eval (read (strcat "vz" (itoa i)))) (eval (read (strcat (strcat "n" (itoa i)) (itoa k))))) z))
              )
            )
          )
          (setq i (+ i 1))
        )
        (if (= k c)
          (set (read (strcat "rx" (itoa l))) g)
          (setq g 0
                h 0
                z 0)
        )
        (setq k (+ k 1))
      )
      (set (read (strcat "rx" (itoa l))) g)
      (set (read (strcat "ry" (itoa l))) h)
      (if (= s 3)
        (set (read (strcat "rz" (itoa l))) z)
        (setq g 0
              h 0
              z 0)
      )
      (setq t (+ t (/ (eval (read (strcat "x" (itoa (+ a c))))) (- p 1))))
    )
    (setq w (+ w 1))
  )
  (setq l (+ l 1)
        p l)
  (set (read (strcat "rx" (itoa l))) (eval (read (strcat "vx" (itoa a)))))
  (set (read (strcat "ry" (itoa l))) (eval (read (strcat "vy" (itoa a)))))
  (if (/= s 2)
    (set (read (strcat "rz" (itoa l))) (eval (read (strcat "vz" (itoa a)))))
  )



  (setq i 0)
  (repeat p
    (terpri)
    (princ (read (strcat "rx" (itoa i))))
    (princ "= ")
    (princ (eval (read (strcat "rx" (itoa i)))))
    (terpri)
    (princ (read (strcat "ry" (itoa i))))
    (princ "= ")
    (princ (eval (read (strcat "ry" (itoa i)))))
    (terpri)
    (princ (read (strcat "rz" (itoa i))))
    (princ "= ")
    (princ (eval (read (strcat "rz" (itoa i)))))
    (terpri)
    (setq i (+ i 1))
  )



)
