(defun c:tcortseg ()

;; Ortalama segment uzunluunu hesap eder.

  (setq ss1 (ssget "x" '((0 . "polyline") (8 . "2,3")))
        l   (sslength ss1))
  (setq i         0
        vy        (ssname ss1 i)
        n         1
        kont      1
        kont2     0
        topversay 0
        seguz     0
        topseguz  0
        ortseguz  0)
  (while (<= kont l)
    (while (not (equal "SEQEND" (cdr (assoc 0 (entget (entnext vy))))))
      (setq vax (read (strcat "va" (itoa n))))
      (set vax (entnext vy))
      (setq vvx (read (strcat "vv" (itoa n))))
      (set vvx (entget (eval vax)))

      (setq kont2 (1+ kont2))
      (if (> kont2 1)
        (progn
          (setq seguz (distance (cdr (assoc 10 (eval vvx)))
                                (cdr (assoc 10 (eval (read (strcat "vv" (itoa (- n 1)))))))
                      )
                topseguz (+ topseguz seguz)
          )
        )
      )
      (setq vy        (eval vax)
            n         (1+ n)
            topversay (1+ topversay)
      )
    )

    (setq kont2 0)

    (setq i   (1+ i)
          vy  (ssname ss1 i)
    )
    (setq kont (1+ kont))
  )

  (setq ortseguz (/ topseguz (- topversay l)))

(terpri)
(princ "topseguz: ")
(princ topseguz)
(terpri)
(terpri)
(princ "topversay: ")
(princ topversay)
(terpri)
(terpri)
(princ "l: ")
(princ l)
(terpri)
(terpri)
(princ "ortseguz: ")
(princ ortseguz)
(terpri)

)

