(defun c:tga ()
  (setq ea (getreal "Eik asn giriniz (0.0 derece - 360.0 derece): "))
  (while (and
    (not (equal ea nil))
    (>= ea 0.0)
    (<= ea 360.0))
    (command "linetype" "l" "dashed" "" "" "")
    (command "ltscale" 25 "")
    (setq ea (cvunit ea "degree" "radian"))
    (setq p  (ssget "x" '((0 . "polyline") (8 . "3d-2")))
          pu (sslength p))
    (setq k   1
          l   0
          pl  (ssname p l)
          t   1
          v2  0
          v3  1
          pas 0)
    (repeat pu
      (while (not (equal "SEQEND" (cdr (assoc 0 (entget (entnext pl))))))
        (setq pax (read (strcat "pa" (itoa k))))
        (set pax (entnext pl))
        (setq pvx (read (strcat "pv" (itoa k))))
        (set pvx (entget (eval pax)))
        (if (= k 1)
          (progn
            (setq snax (read (strcat "sna" (itoa 1))))
            (set snax (eval pax))
            (setq snvx (read (strcat "snv" (itoa 1))))
            (set snvx (entget (eval snax)))
            (setq sknx (read (strcat "skn" (itoa 1))))
            (set sknx pv1)
            (command "point" (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx)))) "")
            (setq kalan_nokta_2_ad (entlast))
            (setq kalan_nokta_2_verisi (entget kalan_nokta_2_ad))
            (setq kalan_nokta_2_verisi (subst '(8 . "tga-kalan-noktalar-2") (assoc 8 kalan_nokta_2_verisi) kalan_nokta_2_verisi))
            (entmod kalan_nokta_2_verisi)))
        (if (and
          (>= k 3)
          (= pas 0))
          (progn
            (setq sna2x (read (strcat "sna2" (itoa v2))))
            (set sna2x (eval (read (strcat "pa" (itoa (- k 1))))))
            (setq snv2x (read (strcat "snv2" (itoa v2))))
            (set snv2x (entget (eval sna2x)))
            (setq sna3x (read (strcat "sna3" (itoa v3))))
            (set sna3x (eval (read (strcat "pa" (itoa k)))))
            (setq snv3x (read (strcat "snv3" (itoa v3))))
            (set snv3x (entget (eval sna3x)))
            (setq a1 (angle
            (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx))))
            (list (cadr (assoc 10 (eval snv2x))) (caddr (assoc 10 (eval snv2x))) (cadddr (assoc 10 (eval snv2x))))))
            (setq a2 (angle
            (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx))))
            (list (cadr (assoc 10 (eval snv3x))) (caddr (assoc 10 (eval snv3x))) (cadddr (assoc 10 (eval snv3x))))))
            (setq da (- a2 a1))
            (if (minusp da)
              (progn
                (setq da (abs da))
                (if (> da pi)
                  (progn
                    (setq da (- (* 2 pi) da))))))
            (if (> da ea)
              (progn
                (setq t (+ t 1))
                (setq sknx (read (strcat "skn" (itoa t))))
                (set sknx (eval snv2x))
                (command "point" (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx)))) "")
                (setq kalan_nokta_2_ad (entlast))
                (setq kalan_nokta_2_verisi (entget kalan_nokta_2_ad))
                (setq kalan_nokta_2_verisi (subst '(8 . "tga-kalan-noktalar-2") (assoc 8 kalan_nokta_2_verisi) kalan_nokta_2_verisi))
                (entmod kalan_nokta_2_verisi)
                (setq v2 (+ v2 1))
                (setq v3 (+ v3 1)))
              (progn
                (setq t (+ t 1))
                (setq sknx (read (strcat "skn" (itoa t))))
                (set sknx (eval snv3x))
                (command "point" (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx)))) "")
                (setq kalan_nokta_2_ad (entlast))
                (setq kalan_nokta_2_verisi (entget kalan_nokta_2_ad))
                (setq kalan_nokta_2_verisi (subst '(8 . "tga-kalan-noktalar-2") (assoc 8 kalan_nokta_2_verisi) kalan_nokta_2_verisi))
                (entmod kalan_nokta_2_verisi)
                (setq v2 (+ v2 1))
                (setq v3 (+ v3 1))
                (setq pas 1))))
          (progn
            (setq v2 (+ v2 1))
            (setq v3 (+ v3 1))
            (setq pas 0)))
        (setq pl (eval pax)
              k  (1+ k)))
      (setq sknax (read (strcat "skna" (itoa v2))))
      (set sknax (eval pax))
      (setq t (+ t 1))
      (setq sknx (read (strcat "skn" (itoa t))))
      (set sknx (entget (eval sknax)))
      (if (> t 2)
        (if (or
          (not (equal (cadr (assoc 10 kalan_nokta_2_verisi)) (cadr (assoc 10 (eval sknx))) 0.1))
          (not (equal (caddr (assoc 10 kalan_nokta_2_verisi)) (caddr (assoc 10 (eval sknx))) 0.1))
          (not (equal (cadddr (assoc 10 kalan_nokta_2_verisi)) (cadddr (assoc 10 (eval sknx))) 0.1)))
          (progn
            (command "point" (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx)))) "")
            (setq kalan_nokta_2_ad (entlast))
            (setq kalan_nokta_2_verisi (entget kalan_nokta_2_ad))
            (setq kalan_nokta_2_verisi (subst '(8 . "tga-kalan-noktalar-2") (assoc 8 kalan_nokta_2_verisi) kalan_nokta_2_verisi))
            (entmod kalan_nokta_2_verisi))
          (setq t (- t 1)))
        (progn
          (command "point" (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx)))) "")
          (setq kalan_nokta_2_ad (entlast))
          (setq kalan_nokta_2_verisi (entget kalan_nokta_2_ad))
          (setq kalan_nokta_2_verisi (subst '(8 . "tga-kalan-noktalar-2") (assoc 8 kalan_nokta_2_verisi) kalan_nokta_2_verisi))
          (entmod kalan_nokta_2_verisi)))
      (if (and
        (equal (cadr (assoc 10 skn1)) (cadr (assoc 10 (eval (read (strcat "skn" (itoa t)))))))
        (equal (caddr (assoc 10 skn1)) (caddr (assoc 10 (eval (read (strcat "skn" (itoa t)))))))
        (equal (cadddr (assoc 10 skn1)) (cadddr (assoc 10 (eval (read (strcat "skn" (itoa t))))))))
        (if (> t 3)
          (progn
            (setq s  1
                  sl nil)
            (repeat t
              (setq sknx (read (strcat "skn" (itoa s))))
              (setq splnx (read (strcat "spln" (itoa s))))
              (set splnx (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx)))))
              (setq sl (cons (eval splnx) sl))
              (setq s (+ s 1)))
            (setq sl (reverse sl))
            (setq comm (list "pline" 'command))
            (foreach pt sl
              (setq pt   (list 'quote pt)
                    comm (cons pt comm)))
            (setq comm (cons "" comm))
            (eval (reverse comm))
            (setq tga_polylines_2_ad (entlast))
            (setq tga_polylines_2_verisi (entget tga_polylines_2_ad))
            (setq tga_polylines_2_verisi (subst '(8 . "tga-polylines-2") (assoc 8 tga_polylines_2_verisi) tga_polylines_2_verisi))
            (entmod tga_polylines_2_verisi)
            (setq h (cdr (assoc 5 (entget (entlast)))))
            (command "change" (handent h) "" "p" "c" "30" "")
            (setq s  1
                  sl nil)
            (repeat (- t 1)
              (setq sknx (read (strcat "skn" (itoa s))))
              (setq splnx (read (strcat "spln" (itoa s))))
              (set splnx (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx)))))
              (setq sl (cons (eval splnx) sl))
              (setq s (+ s 1)))
            (setq comm (list "spline" 'command))
            (foreach pt sl
              (setq pt   (list 'quote pt)
                    comm (cons pt comm)))
            (setq comm (cons "c" comm))
            (setq comm (cons "" comm))
            (eval (reverse comm))
            (setq tga_splines_2_ad (entlast))
            (setq tga_splines_2_verisi (entget tga_splines_2_ad))
            (setq tga_splines_2_verisi (subst '(8 . "tga-splines-2") (assoc 8 tga_splines_2_verisi) tga_splines_2_verisi))
            (entmod tga_splines_2_verisi)
            (setq h (cdr (assoc 5 (entget (entlast)))))
            (command "change" (handent h) "" "p" "c" "30" "")))
          (progn
            (setq s  1
                  sl nil)
            (repeat t
              (setq sknx (read (strcat "skn" (itoa s))))
              (setq splnx (read (strcat "spln" (itoa s))))
              (set splnx (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx)))))
              (setq sl (cons (eval splnx) sl))
              (setq s (+ s 1)))
            (setq sl (reverse sl))
            (setq comm (list "pline" 'command))
            (foreach pt sl
              (setq pt   (list 'quote pt)
                    comm (cons pt comm)))
            (setq comm (cons "" comm))
            (eval (reverse comm))
            (setq tga_polylines_2_ad (entlast))
            (setq tga_polylines_2_verisi (entget tga_polylines_2_ad))
            (setq tga_polylines_2_verisi (subst '(8 . "tga-polylines-2") (assoc 8 tga_polylines_2_verisi) tga_polylines_2_verisi))
            (entmod tga_polylines_2_verisi)
            (setq h (cdr (assoc 5 (entget (entlast)))))
            (command "change" (handent h) "" "p" "c" "30" "")
            (setq comm (list "spline" 'command))
            (foreach pt sl
              (setq pt   (list 'quote pt)
                    comm (cons pt comm)))
            (setq comm (cons "" comm))
            (setq comm (cons "" comm))
            (setq comm (cons "" comm))
            (eval (reverse comm))
            (setq tga_splines_2_ad (entlast))
            (setq tga_splines_2_verisi (entget tga_splines_2_ad))
            (setq tga_splines_2_verisi (subst '(8 . "tga-splines-2") (assoc 8 tga_splines_2_verisi) tga_splines_2_verisi))
            (entmod tga_splines_2_verisi)
            (setq h (cdr (assoc 5 (entget (entlast)))))
            (command "change" (handent h) "" "p" "c" "30" "")))
      (setq l  (1+ l)
            pl (ssname p l)
            k  1
            v  2
            t  1
            tm 0))
    (setq p  (ssget "x" '((0 . "polyline") (8 . "3d-3")))
          pu (sslength p))
    (setq k   1
          l   0
          pl  (ssname p l)
          t   1
          v2  0
          v3  1
          pas 0)
    (repeat pu
      (while (not (equal "SEQEND" (cdr (assoc 0 (entget (entnext pl))))))
        (setq pax (read (strcat "pa" (itoa k))))
        (set pax (entnext pl))
        (setq pvx (read (strcat "pv" (itoa k))))
        (set pvx (entget (eval pax)))
        (if (= k 1)
          (progn
            (setq snax (read (strcat "sna" (itoa 1))))
            (set snax (eval pax))
            (setq snvx (read (strcat "snv" (itoa 1))))
            (set snvx (entget (eval snax)))
            (setq sknx (read (strcat "skn" (itoa 1))))
            (set sknx pv1)
            (command "point" (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx)))) "")
            (setq kalan_nokta_3_ad (entlast))
            (setq kalan_nokta_3_verisi (entget kalan_nokta_3_ad))
            (setq kalan_nokta_3_verisi (subst '(8 . "tga-kalan-noktalar-3") (assoc 8 kalan_nokta_3_verisi) kalan_nokta_3_verisi))
            (entmod kalan_nokta_3_verisi)))
        (if (and
          (>= k 3)
          (= pas 0))
          (progn
            (setq sna2x (read (strcat "sna2" (itoa v2))))
            (set sna2x (eval (read (strcat "pa" (itoa (- k 1))))))
            (setq snv2x (read (strcat "snv2" (itoa v2))))
            (set snv2x (entget (eval sna2x)))
            (setq sna3x (read (strcat "sna3" (itoa v3))))
            (set sna3x (eval (read (strcat "pa" (itoa k)))))
            (setq snv3x (read (strcat "snv3" (itoa v3))))
            (set snv3x (entget (eval sna3x)))
            (setq a1 (angle
            (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx))))
            (list (cadr (assoc 10 (eval snv2x))) (caddr (assoc 10 (eval snv2x))) (cadddr (assoc 10 (eval snv2x))))))
            (setq a2 (angle
            (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx))))
            (list (cadr (assoc 10 (eval snv3x))) (caddr (assoc 10 (eval snv3x))) (cadddr (assoc 10 (eval snv3x))))))
            (setq da (- a2 a1))
            (if (minusp da)
              (progn
                (setq da (abs da))
                (if (> da pi)
                  (progn
                    (setq da (- (* 2 pi) da))))))
            (if (> da ea)
              (progn
                (setq t (+ t 1))
                (setq sknx (read (strcat "skn" (itoa t))))
                (set sknx (eval snv2x))
                (command "point" (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx)))) "")
                (setq kalan_nokta_3_ad (entlast))
                (setq kalan_nokta_3_verisi (entget kalan_nokta_3_ad))
                (setq kalan_nokta_3_verisi (subst '(8 . "tga-kalan-noktalar-3") (assoc 8 kalan_nokta_3_verisi) kalan_nokta_3_verisi))
                (entmod kalan_nokta_3_verisi)
                (setq v2 (+ v2 1))
                (setq v3 (+ v3 1)))
              (progn
                (setq t (+ t 1))
                (setq sknx (read (strcat "skn" (itoa t))))
                (set sknx (eval snv3x))
                (command "point" (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx)))) "")
                (setq kalan_nokta_3_ad (entlast))
                (setq kalan_nokta_3_verisi (entget kalan_nokta_3_ad))
                (setq kalan_nokta_3_verisi (subst '(8 . "tga-kalan-noktalar-3") (assoc 8 kalan_nokta_3_verisi) kalan_nokta_3_verisi))
                (entmod kalan_nokta_3_verisi)
                (setq v2 (+ v2 1))
                (setq v3 (+ v3 1))
                (setq pas 1))))
          (progn
            (setq v2 (+ v2 1))
            (setq v3 (+ v3 1))
            (setq pas 0)))
        (setq pl (eval pax)
              k  (1+ k)))
      (setq sknax (read (strcat "skna" (itoa v2))))
      (set sknax (eval pax))
      (setq t (+ t 1))
      (setq sknx (read (strcat "skn" (itoa t))))
      (set sknx (entget (eval sknax)))
      (if (> t 2)
        (if (or
          (not (equal (cadr (assoc 10 kalan_nokta_3_verisi)) (cadr (assoc 10 (eval sknx))) 0.1))
          (not (equal (caddr (assoc 10 kalan_nokta_3_verisi)) (caddr (assoc 10 (eval sknx))) 0.1))
          (not (equal (cadddr (assoc 10 kalan_nokta_3_verisi)) (cadddr (assoc 10 (eval sknx))) 0.1)))
          (progn
            (command "point" (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx)))) "")
            (setq kalan_nokta_3_ad (entlast))
            (setq kalan_nokta_3_verisi (entget kalan_nokta_3_ad))
            (setq kalan_nokta_3_verisi (subst '(8 . "tga-kalan-noktalar-3") (assoc 8 kalan_nokta_3_verisi) kalan_nokta_3_verisi))
            (entmod kalan_nokta_3_verisi))
          (setq t (- t 1)))
        (progn
          (command "point" (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx)))) "")
          (setq kalan_nokta_3_ad (entlast))
          (setq kalan_nokta_3_verisi (entget kalan_nokta_3_ad))
          (setq kalan_nokta_3_verisi (subst '(8 . "tga-kalan-noktalar-3") (assoc 8 kalan_nokta_3_verisi) kalan_nokta_3_verisi))
          (entmod kalan_nokta_3_verisi)))
      (if (and
        (equal (cadr (assoc 10 skn1)) (cadr (assoc 10 (eval (read (strcat "skn" (itoa t)))))))
        (equal (caddr (assoc 10 skn1)) (caddr (assoc 10 (eval (read (strcat "skn" (itoa t)))))))
        (equal (cadddr (assoc 10 skn1)) (cadddr (assoc 10 (eval (read (strcat "skn" (itoa t))))))))
        (if (> t 3)
          (progn
            (setq s  1
                  sl nil)
            (repeat t
              (setq sknx (read (strcat "skn" (itoa s))))
              (setq splnx (read (strcat "spln" (itoa s))))
              (set splnx (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx)))))
              (setq sl (cons (eval splnx) sl))
              (setq s (+ s 1)))
            (setq sl (reverse sl))
            (setq comm (list "pline" 'command))
            (foreach pt sl
              (setq pt   (list 'quote pt)
                    comm (cons pt comm)))
            (setq comm (cons "" comm))
            (eval (reverse comm))
            (setq tga_polylines_3_ad (entlast))
            (setq tga_polylines_3_verisi (entget tga_polylines_3_ad))
            (setq tga_polylines_3_verisi (subst '(8 . "tga-polylines-3") (assoc 8 tga_polylines_3_verisi) tga_polylines_3_verisi))
            (entmod tga_polylines_3_verisi)
            (setq h (cdr (assoc 5 (entget (entlast)))))
            (command "change" (handent h) "" "p" "c" "30" "")
            (setq s  1
                  sl nil)
            (repeat (- t 1)
              (setq sknx (read (strcat "skn" (itoa s))))
              (setq splnx (read (strcat "spln" (itoa s))))
              (set splnx (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx)))))
              (setq sl (cons (eval splnx) sl))
              (setq s (+ s 1)))
            (setq comm (list "spline" 'command))
            (foreach pt sl
              (setq pt   (list 'quote pt)
                    comm (cons pt comm)))
            (setq comm (cons "c" comm))
            (setq comm (cons "" comm))
            (eval (reverse comm))
            (setq tga_splines_3_ad (entlast))
            (setq tga_splines_3_verisi (entget tga_splines_3_ad))
            (setq tga_splines_3_verisi (subst '(8 . "tga-splines-3") (assoc 8 tga_splines_3_verisi) tga_splines_3_verisi))
            (entmod tga_splines_3_verisi)
            (setq h (cdr (assoc 5 (entget (entlast)))))
            (command "change" (handent h) "" "p" "c" "30" "")))
          (progn
            (setq s  1
                  sl nil)
            (repeat t
              (setq sknx (read (strcat "skn" (itoa s))))
              (setq splnx (read (strcat "spln" (itoa s))))
              (set splnx (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx)))))
              (setq sl (cons (eval splnx) sl))
              (setq s (+ s 1)))
            (setq sl (reverse sl))
            (setq comm (list "pline" 'command))
            (foreach pt sl
              (setq pt   (list 'quote pt)
                    comm (cons pt comm)))
            (setq comm (cons "" comm))
            (eval (reverse comm))
            (setq tga_polylines_3_ad (entlast))
            (setq tga_polylines_3_verisi (entget tga_polylines_3_ad))
            (setq tga_polylines_3_verisi (subst '(8 . "tga-polylines-3") (assoc 8 tga_polylines_3_verisi) tga_polylines_3_verisi))
            (entmod tga_polylines_3_verisi)
            (setq h (cdr (assoc 5 (entget (entlast)))))
            (command "change" (handent h) "" "p" "c" "30" "")
            (setq comm (list "spline" 'command))
            (foreach pt sl
              (setq pt   (list 'quote pt)
                    comm (cons pt comm)))
            (setq comm (cons "" comm))
            (setq comm (cons "" comm))
            (setq comm (cons "" comm))
            (eval (reverse comm))
            (setq tga_splines_3_ad (entlast))
            (setq tga_splines_3_verisi (entget tga_splines_3_ad))
            (setq tga_splines_3_verisi (subst '(8 . "tga-splines-3") (assoc 8 tga_splines_3_verisi) tga_splines_3_verisi))
            (entmod tga_splines_3_verisi)
            (setq h (cdr (assoc 5 (entget (entlast)))))
            (command "change" (handent h) "" "p" "c" "30" "")))
      (setq l  (1+ l)
            pl (ssname p l)
            k  1
            v  2
            t  1
            tm 0))
    (setq p  (ssget "x" '((0 . "polyline") (8 . "3d-4")))
          pu (sslength p))
    (setq k   1
          l   0
          pl  (ssname p l)
          t   1
          v2  0
          v3  1
          pas 0)
    (repeat pu
      (while (not (equal "SEQEND" (cdr (assoc 0 (entget (entnext pl))))))
        (setq pax (read (strcat "pa" (itoa k))))
        (set pax (entnext pl))
        (setq pvx (read (strcat "pv" (itoa k))))
        (set pvx (entget (eval pax)))
        (if (= k 1)
          (progn
            (setq snax (read (strcat "sna" (itoa 1))))
            (set snax (eval pax))
            (setq snvx (read (strcat "snv" (itoa 1))))
            (set snvx (entget (eval snax)))
            (setq sknx (read (strcat "skn" (itoa 1))))
            (set sknx pv1)
            (command "point" (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx)))) "")
            (setq kalan_nokta_4_ad (entlast))
            (setq kalan_nokta_4_verisi (entget kalan_nokta_4_ad))
            (setq kalan_nokta_4_verisi (subst '(8 . "tga-kalan-noktalar-4") (assoc 8 kalan_nokta_4_verisi) kalan_nokta_4_verisi))
            (entmod kalan_nokta_4_verisi)))
        (if (and
          (>= k 3)
          (= pas 0))
          (progn
            (setq sna2x (read (strcat "sna2" (itoa v2))))
            (set sna2x (eval (read (strcat "pa" (itoa (- k 1))))))
            (setq snv2x (read (strcat "snv2" (itoa v2))))
            (set snv2x (entget (eval sna2x)))
            (setq sna3x (read (strcat "sna3" (itoa v3))))
            (set sna3x (eval (read (strcat "pa" (itoa k)))))
            (setq snv3x (read (strcat "snv3" (itoa v3))))
            (set snv3x (entget (eval sna3x)))
            (setq a1 (angle
            (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx))))
            (list (cadr (assoc 10 (eval snv2x))) (caddr (assoc 10 (eval snv2x))) (cadddr (assoc 10 (eval snv2x))))))
            (setq a2 (angle
            (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx))))
            (list (cadr (assoc 10 (eval snv3x))) (caddr (assoc 10 (eval snv3x))) (cadddr (assoc 10 (eval snv3x))))))
            (setq da (- a2 a1))
            (if (minusp da)
              (progn
                (setq da (abs da))
                (if (> da pi)
                  (progn
                    (setq da (- (* 2 pi) da))))))
            (if (> da ea)
              (progn
                (setq t (+ t 1))
                (setq sknx (read (strcat "skn" (itoa t))))
                (set sknx (eval snv2x))
                (command "point" (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx)))) "")
                (setq kalan_nokta_4_ad (entlast))
                (setq kalan_nokta_4_verisi (entget kalan_nokta_4_ad))
                (setq kalan_nokta_4_verisi (subst '(8 . "tga-kalan-noktalar-4") (assoc 8 kalan_nokta_4_verisi) kalan_nokta_4_verisi))
                (entmod kalan_nokta_4_verisi)
                (setq v2 (+ v2 1))
                (setq v3 (+ v3 1)))
              (progn
                (setq t (+ t 1))
                (setq sknx (read (strcat "skn" (itoa t))))
                (set sknx (eval snv3x))
                (command "point" (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx)))) "")
                (setq kalan_nokta_4_ad (entlast))
                (setq kalan_nokta_4_verisi (entget kalan_nokta_4_ad))
                (setq kalan_nokta_4_verisi (subst '(8 . "tga-kalan-noktalar-4") (assoc 8 kalan_nokta_4_verisi) kalan_nokta_4_verisi))
                (entmod kalan_nokta_4_verisi)
                (setq v2 (+ v2 1))
                (setq v3 (+ v3 1))
                (setq pas 1))))
          (progn
            (setq v2 (+ v2 1))
            (setq v3 (+ v3 1))
            (setq pas 0)))
        (setq pl (eval pax)
              k  (1+ k)))
      (setq sknax (read (strcat "skna" (itoa v2))))
      (set sknax (eval pax))
      (setq t (+ t 1))
      (setq sknx (read (strcat "skn" (itoa t))))
      (set sknx (entget (eval sknax)))
      (if (> t 2)
        (if (or
          (not (equal (cadr (assoc 10 kalan_nokta_4_verisi)) (cadr (assoc 10 (eval sknx))) 0.1))
          (not (equal (caddr (assoc 10 kalan_nokta_4_verisi)) (caddr (assoc 10 (eval sknx))) 0.1))
          (not (equal (cadddr (assoc 10 kalan_nokta_4_verisi)) (cadddr (assoc 10 (eval sknx))) 0.1)))
          (progn
            (command "point" (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx)))) "")
            (setq kalan_nokta_4_ad (entlast))
            (setq kalan_nokta_4_verisi (entget kalan_nokta_4_ad))
            (setq kalan_nokta_4_verisi (subst '(8 . "tga-kalan-noktalar-4") (assoc 8 kalan_nokta_4_verisi) kalan_nokta_4_verisi))
            (entmod kalan_nokta_4_verisi))
          (setq t (- t 1)))
        (progn
          (command "point" (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx)))) "")
          (setq kalan_nokta_4_ad (entlast))
          (setq kalan_nokta_4_verisi (entget kalan_nokta_4_ad))
          (setq kalan_nokta_4_verisi (subst '(8 . "tga-kalan-noktalar-4") (assoc 8 kalan_nokta_4_verisi) kalan_nokta_4_verisi))
          (entmod kalan_nokta_4_verisi)))
      (if (and
        (equal (cadr (assoc 10 skn1)) (cadr (assoc 10 (eval (read (strcat "skn" (itoa t)))))))
        (equal (caddr (assoc 10 skn1)) (caddr (assoc 10 (eval (read (strcat "skn" (itoa t)))))))
        (equal (cadddr (assoc 10 skn1)) (cadddr (assoc 10 (eval (read (strcat "skn" (itoa t))))))))
        (if (> t 3)
          (progn
            (setq s  1
                  sl nil)
            (repeat t
              (setq sknx (read (strcat "skn" (itoa s))))
              (setq splnx (read (strcat "spln" (itoa s))))
              (set splnx (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx)))))
              (setq sl (cons (eval splnx) sl))
              (setq s (+ s 1)))
            (setq sl (reverse sl))
            (setq comm (list "pline" 'command))
            (foreach pt sl
              (setq pt   (list 'quote pt)
                    comm (cons pt comm)))
            (setq comm (cons "" comm))
            (eval (reverse comm))
            (setq tga_polylines_4_ad (entlast))
            (setq tga_polylines_4_verisi (entget tga_polylines_4_ad))
            (setq tga_polylines_4_verisi (subst '(8 . "tga-polylines-4") (assoc 8 tga_polylines_4_verisi) tga_polylines_4_verisi))
            (entmod tga_polylines_4_verisi)
            (setq h (cdr (assoc 5 (entget (entlast)))))
            (command "change" (handent h) "" "p" "lt" "dashed" "")
            (command "change" (handent h) "" "p" "c" "2" "")
            (setq s  1
                  sl nil)
            (repeat (- t 1)
              (setq sknx (read (strcat "skn" (itoa s))))
              (setq splnx (read (strcat "spln" (itoa s))))
              (set splnx (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx)))))
              (setq sl (cons (eval splnx) sl))
              (setq s (+ s 1)))
            (setq comm (list "spline" 'command))
            (foreach pt sl
              (setq pt   (list 'quote pt)
                    comm (cons pt comm)))
            (setq comm (cons "c" comm))
            (setq comm (cons "" comm))
            (eval (reverse comm))
            (setq tga_splines_4_ad (entlast))
            (setq tga_splines_4_verisi (entget tga_splines_4_ad))
            (setq tga_splines_4_verisi (subst '(8 . "tga-splines-4") (assoc 8 tga_splines_4_verisi) tga_splines_4_verisi))
            (entmod tga_splines_4_verisi)
            (setq h (cdr (assoc 5 (entget (entlast)))))
            (command "change" (handent h) "" "p" "lt" "dashed" "")
            (command "change" (handent h) "" "p" "c" "2" "")))
          (progn
            (setq s  1
                  sl nil)
            (repeat t
              (setq sknx (read (strcat "skn" (itoa s))))
              (setq splnx (read (strcat "spln" (itoa s))))
              (set splnx (list (cadr (assoc 10 (eval sknx))) (caddr (assoc 10 (eval sknx))) (cadddr (assoc 10 (eval sknx)))))
              (setq sl (cons (eval splnx) sl))
              (setq s (+ s 1)))
            (setq sl (reverse sl))
            (setq comm (list "pline" 'command))
            (foreach pt sl
              (setq pt   (list 'quote pt)
                    comm (cons pt comm)))
            (setq comm (cons "" comm))
            (eval (reverse comm))
            (setq tga_polylines_4_ad (entlast))
            (setq tga_polylines_4_verisi (entget tga_polylines_4_ad))
            (setq tga_polylines_4_verisi (subst '(8 . "tga-polylines-4") (assoc 8 tga_polylines_4_verisi) tga_polylines_4_verisi))
            (entmod tga_polylines_4_verisi)
            (setq h (cdr (assoc 5 (entget (entlast)))))
            (command "change" (handent h) "" "p" "lt" "dashed" "")
            (command "change" (handent h) "" "p" "c" "2" "")
            (setq comm (list "spline" 'command))
            (foreach pt sl
              (setq pt   (list 'quote pt)
                    comm (cons pt comm)))
            (setq comm (cons "" comm))
            (setq comm (cons "" comm))
            (setq comm (cons "" comm))
            (eval (reverse comm))
            (setq tga_splines_4_ad (entlast))
            (setq tga_splines_4_verisi (entget tga_splines_4_ad))
            (setq tga_splines_4_verisi (subst '(8 . "tga-splines-4") (assoc 8 tga_splines_4_verisi) tga_splines_4_verisi))
            (entmod tga_splines_4_verisi)
            (setq h (cdr (assoc 5 (entget (entlast)))))
            (command "change" (handent h) "" "p" "lt" "dashed" "")
            (command "change" (handent h) "" "p" "c" "2" "")))
      (setq l  (1+ l)
            pl (ssname p l)
            k  1
            v  2
            t  1
            tm 0))
    (setq ea nil))
)

