(defun c:tgn ()
  (setq atlama-says (getint "Nokta atlama saysn giriniz (1 - 10): "))
  (while (and
    (not (equal atlama-says nil))
    (>= atlama-says 1)
    (<= atlama-says 10))
    (command "linetype" "l" "dashed" "" "" "")
    (command "ltscale" 25 "")
    (setq p  (ssget "x" '((0 . "polyline") (8 . "kirpik-su-dagitma-cizgisi")))
;;    (setq p  (ssget "x" '((0 . "polyline") (8 . "3d-2")))
          pu (sslength p))
    (setq k  1
          l  0
          pl (ssname p l)
          v  2)
    (repeat pu
      (while (not (equal "SEQEND" (cdr (assoc 0 (entget (entnext pl))))))
        (setq pax (read (strcat "pa" (itoa k))))
        (set pax (entnext pl))
        (setq pvx (read (strcat "pv" (itoa k))))
        (set pvx (entget (eval pax)))
        (if (= k 1)
          (progn
            (setq gpv1 pv1)
            (command "point" (list (cadr (assoc 10 gpv1)) (caddr (assoc 10 gpv1)) (cadddr (assoc 10 gpv1))) "")
            (setq kalan_nokta_2_ad (entlast))
            (setq kalan_nokta_2_verisi (entget kalan_nokta_2_ad))
            (setq kalan_nokta_2_verisi (subst '(8 . "tgn-kalan-noktalar-2") (assoc 8 kalan_nokta_2_verisi) kalan_nokta_2_verisi))
            (entmod kalan_nokta_2_verisi)))
        (if (and
          (>= k atlama-says)
          (= (rem k atlama-says) 0))
          (progn
            (setq gpax (read (strcat "gpa" (itoa v))))
            (set gpax (eval pax))
            (setq gpvx (read (strcat "gpv" (itoa v))))
            (set gpvx (entget (eval gpax)))
            (command "point" (list (cadr (assoc 10 (eval gpvx))) (caddr (assoc 10 (eval gpvx))) (cadddr (assoc 10 (eval gpvx)))) "")
            (setq kalan_nokta_2_ad (entlast))
            (setq kalan_nokta_2_verisi (entget kalan_nokta_2_ad))
            (setq kalan_nokta_2_verisi (subst '(8 . "tgn-kalan-noktalar-2") (assoc 8 kalan_nokta_2_verisi) kalan_nokta_2_verisi))
            (entmod kalan_nokta_2_verisi)
            (setq v (+ v 1)))
        )
        (setq pl (eval pax)
              k  (1+ k)))
      (setq gpax (read (strcat "gpa" (itoa v))))
      (set gpax (eval pax))
      (setq gpvx (read (strcat "gpv" (itoa v))))
      (set gpvx (entget (eval gpax)))
      (if (> v 2)
        (if (or
          (not (equal (cadr (assoc 10 kalan_nokta_2_verisi)) (cadr (assoc 10 (eval gpvx))) 0.1))
          (not (equal (caddr (assoc 10 kalan_nokta_2_verisi)) (caddr (assoc 10 (eval gpvx))) 0.1))
          (not (equal (cadddr (assoc 10 kalan_nokta_2_verisi)) (cadddr (assoc 10 (eval gpvx))) 0.1)))
          (progn
            (command "point" (list (cadr (assoc 10 (eval gpvx))) (caddr (assoc 10 (eval gpvx))) (cadddr (assoc 10 (eval gpvx)))) "")
            (setq kalan_nokta_2_ad (entlast))
            (setq kalan_nokta_2_verisi (entget kalan_nokta_2_ad))
            (setq kalan_nokta_2_verisi (subst '(8 . "tgn-kalan-noktalar-2") (assoc 8 kalan_nokta_2_verisi) kalan_nokta_2_verisi))
            (entmod kalan_nokta_2_verisi))
          (setq v (- v 1)))
        (progn
          (command "point" (list (cadr (assoc 10 (eval gpvx))) (caddr (assoc 10 (eval gpvx))) (cadddr (assoc 10 (eval gpvx)))) "")
          (setq kalan_nokta_2_ad (entlast))
          (setq kalan_nokta_2_verisi (entget kalan_nokta_2_ad))
          (setq kalan_nokta_2_verisi (subst '(8 . "tgn-kalan-noktalar-2") (assoc 8 kalan_nokta_2_verisi) kalan_nokta_2_verisi))
          (entmod kalan_nokta_2_verisi)))
      (if (and
        (equal (cadr (assoc 10 gpv1)) (cadr (assoc 10 (eval (read (strcat "gpv" (itoa v)))))))
        (equal (caddr (assoc 10 gpv1)) (caddr (assoc 10 (eval (read (strcat "gpv" (itoa v)))))))
        (equal (cadddr (assoc 10 gpv1)) (cadddr (assoc 10 (eval (read (strcat "gpv" (itoa v))))))))
        (if (> v 3)
          (progn
            (setq s  1
                  sl nil)
            (repeat v
              (setq gpvx (read (strcat "gpv" (itoa s))))
              (setq snx (read (strcat "sn" (itoa s))))
              (set snx (list (cadr (assoc 10 (eval gpvx))) (caddr (assoc 10 (eval gpvx))) (cadddr (assoc 10 (eval gpvx)))))
              (setq sl (cons (eval snx) sl))
              (setq s (+ s 1)))
            (setq sl (reverse sl))
            (setq comm (list "3dpoly" 'command))
;;            (setq comm (list "pline" 'command))
            (foreach pt sl
              (setq pt   (list 'quote pt)
                    comm (cons pt comm)))
            (setq comm (cons "" comm))
            (eval (reverse comm))
            (setq tgn_polylines_2_ad (entlast))
            (setq tgn_polylines_2_verisi (entget tgn_polylines_2_ad))
            (setq tgn_polylines_2_verisi (subst '(8 . "tgn-polylines-2") (assoc 8 tgn_polylines_2_verisi) tgn_polylines_2_verisi))
            (entmod tgn_polylines_2_verisi)
            (setq h (cdr (assoc 5 (entget (entlast)))))
            (command "change" (handent h) "" "p" "c" "30" "")
            (setq s  1
                  sl nil)
            (repeat (- v 1)
              (setq gpvx (read (strcat "gpv" (itoa s))))
              (setq snx (read (strcat "sn" (itoa s))))
              (set snx (list (cadr (assoc 10 (eval gpvx))) (caddr (assoc 10 (eval gpvx))) (cadddr (assoc 10 (eval gpvx)))))
              (setq sl (cons (eval snx) sl))
              (setq s (+ s 1)))
            (setq comm (list "spline" 'command))
            (foreach pt sl
              (setq pt   (list 'quote pt)
                    comm (cons pt comm)))
            (setq comm (cons "c" comm))
            (setq comm (cons "" comm))
            (eval (reverse comm))
            (setq tgn_splines_2_ad (entlast))
            (setq tgn_splines_2_verisi (entget tgn_splines_2_ad))
            (setq tgn_splines_2_verisi (subst '(8 . "tgn-splines-2") (assoc 8 tgn_splines_2_verisi) tgn_splines_2_verisi))
            (entmod tgn_splines_2_verisi)
            (setq h (cdr (assoc 5 (entget (entlast)))))
            (command "change" (handent h) "" "p" "c" "30" "")))
          (progn
            (setq s  1
                  sl nil)
            (repeat v
              (setq gpvx (read (strcat "gpv" (itoa s))))
              (setq snx (read (strcat "sn" (itoa s))))
              (set snx (list (cadr (assoc 10 (eval gpvx))) (caddr (assoc 10 (eval gpvx))) (cadddr (assoc 10 (eval gpvx)))))
              (setq sl (cons (eval snx) sl))
              (setq s (+ s 1)))
            (setq sl (reverse sl))
            (setq comm (list "3dpoly" 'command))
;;            (setq comm (list "pline" 'command))
            (foreach pt sl
              (setq pt   (list 'quote pt)
                    comm (cons pt comm)))
            (setq comm (cons "" comm))
            (eval (reverse comm))
            (setq tgn_polylines_2_ad (entlast))
            (setq tgn_polylines_2_verisi (entget tgn_polylines_2_ad))
            (setq tgn_polylines_2_verisi (subst '(8 . "tgn-polylines-2") (assoc 8 tgn_polylines_2_verisi) tgn_polylines_2_verisi))
            (entmod tgn_polylines_2_verisi)
            (setq h (cdr (assoc 5 (entget (entlast)))))
            (command "change" (handent h) "" "p" "c" "30" "")
            (setq comm (list "spline" 'command))
            (foreach pt sl
              (setq pt   (list 'quote pt)
                    comm (cons pt comm)))
            (setq comm (cons "" comm))
            (setq comm (cons "" comm))
            (setq comm (cons "" comm))
            (eval (reverse comm))
            (setq tgn_splines_2_ad (entlast))
            (setq tgn_splines_2_verisi (entget tgn_splines_2_ad))
            (setq tgn_splines_2_verisi (subst '(8 . "tgn-splines-2") (assoc 8 tgn_splines_2_verisi) tgn_splines_2_verisi))
            (entmod tgn_splines_2_verisi)
            (setq h (cdr (assoc 5 (entget (entlast)))))
            (command "change" (handent h) "" "p" "c" "30" "")))
      (setq l  (1+ l)
            pl (ssname p l)
            k  1
            v  2))
;;    (setq p  (ssget "x" '((0 . "polyline") (8 . "kirpik-su-dagitma-cizgisi")))
    (setq p  (ssget "x" '((0 . "polyline") (8 . "3d-3")))
          pu (sslength p))
    (setq k  1
          l  0
          pl (ssname p l)
          v  2)
    (repeat pu
      (while (not (equal "SEQEND" (cdr (assoc 0 (entget (entnext pl))))))
        (setq pax (read (strcat "pa" (itoa k))))
        (set pax (entnext pl))
        (setq pvx (read (strcat "pv" (itoa k))))
        (set pvx (entget (eval pax)))
        (if (= k 1)
          (progn
            (setq gpv1 pv1)
            (command "point" (list (cadr (assoc 10 gpv1)) (caddr (assoc 10 gpv1)) (cadddr (assoc 10 gpv1))) "")
            (setq kalan_nokta_3_ad (entlast))
            (setq kalan_nokta_3_verisi (entget kalan_nokta_3_ad))
            (setq kalan_nokta_3_verisi (subst '(8 . "tgn-kalan-noktalar-3") (assoc 8 kalan_nokta_3_verisi) kalan_nokta_3_verisi))
            (entmod kalan_nokta_3_verisi)))
        (if (and
          (>= k atlama-says)
          (= (rem k atlama-says) 0))
          (progn
            (setq gpax (read (strcat "gpa" (itoa v))))
            (set gpax (eval pax))
            (setq gpvx (read (strcat "gpv" (itoa v))))
            (set gpvx (entget (eval gpax)))
            (command "point" (list (cadr (assoc 10 (eval gpvx))) (caddr (assoc 10 (eval gpvx))) (cadddr (assoc 10 (eval gpvx)))) "")
            (setq kalan_nokta_3_ad (entlast))
            (setq kalan_nokta_3_verisi (entget kalan_nokta_3_ad))
            (setq kalan_nokta_3_verisi (subst '(8 . "tgn-kalan-noktalar-3") (assoc 8 kalan_nokta_3_verisi) kalan_nokta_3_verisi))
            (entmod kalan_nokta_3_verisi)
            (setq v (+ v 1))))
        (setq pl (eval pax)
              k  (1+ k)))
      (setq gpax (read (strcat "gpa" (itoa v))))
      (set gpax (eval pax))
      (setq gpvx (read (strcat "gpv" (itoa v))))
      (set gpvx (entget (eval gpax)))
      (if (> v 2)
        (if (or
          (not (equal (cadr (assoc 10 kalan_nokta_3_verisi)) (cadr (assoc 10 (eval gpvx))) 0.1))
          (not (equal (caddr (assoc 10 kalan_nokta_3_verisi)) (caddr (assoc 10 (eval gpvx))) 0.1))
          (not (equal (cadddr (assoc 10 kalan_nokta_3_verisi)) (cadddr (assoc 10 (eval gpvx))) 0.1)))
          (progn
            (command "point" (list (cadr (assoc 10 (eval gpvx))) (caddr (assoc 10 (eval gpvx))) (cadddr (assoc 10 (eval gpvx)))) "")
            (setq kalan_nokta_3_ad (entlast))
            (setq kalan_nokta_3_verisi (entget kalan_nokta_3_ad))
            (setq kalan_nokta_3_verisi (subst '(8 . "tgn-kalan-noktalar-3") (assoc 8 kalan_nokta_3_verisi) kalan_nokta_3_verisi))
            (entmod kalan_nokta_3_verisi))
          (setq v (- v 1)))
        (progn
          (command "point" (list (cadr (assoc 10 (eval gpvx))) (caddr (assoc 10 (eval gpvx))) (cadddr (assoc 10 (eval gpvx)))) "")
          (setq kalan_nokta_3_ad (entlast))
          (setq kalan_nokta_3_verisi (entget kalan_nokta_3_ad))
          (setq kalan_nokta_3_verisi (subst '(8 . "tgn-kalan-noktalar-3") (assoc 8 kalan_nokta_3_verisi) kalan_nokta_3_verisi))
          (entmod kalan_nokta_3_verisi)))
      (if (and
        (equal (cadr (assoc 10 gpv1)) (cadr (assoc 10 (eval (read (strcat "gpv" (itoa v)))))))
        (equal (caddr (assoc 10 gpv1)) (caddr (assoc 10 (eval (read (strcat "gpv" (itoa v)))))))
        (equal (cadddr (assoc 10 gpv1)) (cadddr (assoc 10 (eval (read (strcat "gpv" (itoa v))))))))
        (if (> v 3)
          (progn
            (setq s  1
                  sl nil)
            (repeat v
              (setq gpvx (read (strcat "gpv" (itoa s))))
              (setq snx (read (strcat "sn" (itoa s))))
              (set snx (list (cadr (assoc 10 (eval gpvx))) (caddr (assoc 10 (eval gpvx))) (cadddr (assoc 10 (eval gpvx)))))
              (setq sl (cons (eval snx) sl))
              (setq s (+ s 1)))
            (setq sl (reverse sl))
            (setq comm (list "3dpoly" 'command))
;;            (setq comm (list "pline" 'command))
            (foreach pt sl
              (setq pt   (list 'quote pt)
                    comm (cons pt comm)))
            (setq comm (cons "" comm))
            (eval (reverse comm))
            (setq tgn_polylines_3_ad (entlast))
            (setq tgn_polylines_3_verisi (entget tgn_polylines_3_ad))
            (setq tgn_polylines_3_verisi (subst '(8 . "tgn-polylines-3") (assoc 8 tgn_polylines_3_verisi) tgn_polylines_3_verisi))
            (entmod tgn_polylines_3_verisi)
            (setq h (cdr (assoc 5 (entget (entlast)))))
            (command "change" (handent h) "" "p" "c" "30" "")
            (setq s  1
                  sl nil)
            (repeat (- v 1)
              (setq gpvx (read (strcat "gpv" (itoa s))))
              (setq snx (read (strcat "sn" (itoa s))))
              (set snx (list (cadr (assoc 10 (eval gpvx))) (caddr (assoc 10 (eval gpvx))) (cadddr (assoc 10 (eval gpvx)))))
              (setq sl (cons (eval snx) sl))
              (setq s (+ s 1)))
            (setq comm (list "spline" 'command))
            (foreach pt sl
              (setq pt   (list 'quote pt)
                    comm (cons pt comm)))
            (setq comm (cons "c" comm))
            (setq comm (cons "" comm))
            (eval (reverse comm))
            (setq tgn_splines_3_ad (entlast))
            (setq tgn_splines_3_verisi (entget tgn_splines_3_ad))
            (setq tgn_splines_3_verisi (subst '(8 . "tgn-splines-3") (assoc 8 tgn_splines_3_verisi) tgn_splines_3_verisi))
            (entmod tgn_splines_3_verisi)
            (setq h (cdr (assoc 5 (entget (entlast)))))
            (command "change" (handent h) "" "p" "c" "30" "")))
          (progn
            (setq s  1
                  sl nil)
            (repeat v
              (setq gpvx (read (strcat "gpv" (itoa s))))
              (setq snx (read (strcat "sn" (itoa s))))
              (set snx (list (cadr (assoc 10 (eval gpvx))) (caddr (assoc 10 (eval gpvx))) (cadddr (assoc 10 (eval gpvx)))))
              (setq sl (cons (eval snx) sl))
              (setq s (+ s 1)))
            (setq sl (reverse sl))
            (setq comm (list "3dpoly" 'command))
;;            (setq comm (list "pline" 'command))
            (foreach pt sl
              (setq pt   (list 'quote pt)
                    comm (cons pt comm)))
            (setq comm (cons "" comm))
            (eval (reverse comm))
            (setq tgn_polylines_3_ad (entlast))
            (setq tgn_polylines_3_verisi (entget tgn_polylines_3_ad))
            (setq tgn_polylines_3_verisi (subst '(8 . "tgn-polylines-3") (assoc 8 tgn_polylines_3_verisi) tgn_polylines_3_verisi))
            (entmod tgn_polylines_3_verisi)
            (setq h (cdr (assoc 5 (entget (entlast)))))
            (command "change" (handent h) "" "p" "c" "30" "")
            (setq comm (list "spline" 'command))
            (foreach pt sl
              (setq pt   (list 'quote pt)
                    comm (cons pt comm)))
            (setq comm (cons "" comm))
            (setq comm (cons "" comm))
            (setq comm (cons "" comm))
            (eval (reverse comm))
            (setq tgn_splines_3_ad (entlast))
            (setq tgn_splines_3_verisi (entget tgn_splines_3_ad))
            (setq tgn_splines_3_verisi (subst '(8 . "tgn-splines-3") (assoc 8 tgn_splines_3_verisi) tgn_splines_3_verisi))
            (entmod tgn_splines_3_verisi)
            (setq h (cdr (assoc 5 (entget (entlast)))))
            (command "change" (handent h) "" "p" "c" "30" "")))
      (setq l  (1+ l)
            pl (ssname p l)
            k  1
            v  2))
    (setq p  (ssget "x" '((0 . "polyline") (8 . "3d-4")))
          pu (sslength p))
    (setq k  1
          l  0
          pl (ssname p l)
          v  2)
    (repeat pu
      (while (not (equal "SEQEND" (cdr (assoc 0 (entget (entnext pl))))))
        (setq pax (read (strcat "pa" (itoa k))))
        (set pax (entnext pl))
        (setq pvx (read (strcat "pv" (itoa k))))
        (set pvx (entget (eval pax)))
        (if (= k 1)
          (progn
            (setq gpv1 pv1)
            (command "point" (list (cadr (assoc 10 gpv1)) (caddr (assoc 10 gpv1)) (cadddr (assoc 10 gpv1))) "")
            (setq kalan_nokta_4_ad (entlast))
            (setq kalan_nokta_4_verisi (entget kalan_nokta_4_ad))
            (setq kalan_nokta_4_verisi (subst '(8 . "tgn-kalan-noktalar-4") (assoc 8 kalan_nokta_4_verisi) kalan_nokta_4_verisi))
            (entmod kalan_nokta_4_verisi)))
        (if (and
          (>= k atlama-says)
          (= (rem k atlama-says) 0))
          (progn
            (setq gpax (read (strcat "gpa" (itoa v))))
            (set gpax (eval pax))
            (setq gpvx (read (strcat "gpv" (itoa v))))
            (set gpvx (entget (eval gpax)))
            (command "point" (list (cadr (assoc 10 (eval gpvx))) (caddr (assoc 10 (eval gpvx))) (cadddr (assoc 10 (eval gpvx)))) "")
            (setq kalan_nokta_4_ad (entlast))
            (setq kalan_nokta_4_verisi (entget kalan_nokta_4_ad))
            (setq kalan_nokta_4_verisi (subst '(8 . "tgn-kalan-noktalar-4") (assoc 8 kalan_nokta_4_verisi) kalan_nokta_4_verisi))
            (entmod kalan_nokta_4_verisi)
            (setq v (+ v 1))))
        (setq pl (eval pax)
              k  (1+ k)))
      (setq gpax (read (strcat "gpa" (itoa v))))
      (set gpax (eval pax))
      (setq gpvx (read (strcat "gpv" (itoa v))))
      (set gpvx (entget (eval gpax)))
      (if (> v 2)
        (if (or
          (not (equal (cadr (assoc 10 kalan_nokta_4_verisi)) (cadr (assoc 10 (eval gpvx))) 0.1))
          (not (equal (caddr (assoc 10 kalan_nokta_4_verisi)) (caddr (assoc 10 (eval gpvx))) 0.1))
          (not (equal (cadddr (assoc 10 kalan_nokta_4_verisi)) (cadddr (assoc 10 (eval gpvx))) 0.1)))
          (progn
            (command "point" (list (cadr (assoc 10 (eval gpvx))) (caddr (assoc 10 (eval gpvx))) (cadddr (assoc 10 (eval gpvx)))) "")
            (setq kalan_nokta_4_ad (entlast))
            (setq kalan_nokta_4_verisi (entget kalan_nokta_4_ad))
            (setq kalan_nokta_4_verisi (subst '(8 . "tgn-kalan-noktalar-4") (assoc 8 kalan_nokta_4_verisi) kalan_nokta_4_verisi))
            (entmod kalan_nokta_4_verisi))
          (setq v (- v 1)))
        (progn
          (command "point" (list (cadr (assoc 10 (eval gpvx))) (caddr (assoc 10 (eval gpvx))) (cadddr (assoc 10 (eval gpvx)))) "")
          (setq kalan_nokta_4_ad (entlast))
          (setq kalan_nokta_4_verisi (entget kalan_nokta_4_ad))
          (setq kalan_nokta_4_verisi (subst '(8 . "tgn-kalan-noktalar-4") (assoc 8 kalan_nokta_4_verisi) kalan_nokta_4_verisi))
          (entmod kalan_nokta_4_verisi)))
      (if (and
        (equal (cadr (assoc 10 gpv1)) (cadr (assoc 10 (eval (read (strcat "gpv" (itoa v)))))))
        (equal (caddr (assoc 10 gpv1)) (caddr (assoc 10 (eval (read (strcat "gpv" (itoa v)))))))
        (equal (cadddr (assoc 10 gpv1)) (cadddr (assoc 10 (eval (read (strcat "gpv" (itoa v))))))))
        (if (> v 3)
          (progn
            (setq s  1
                  sl nil)
            (repeat v
              (setq gpvx (read (strcat "gpv" (itoa s))))
              (setq snx (read (strcat "sn" (itoa s))))
              (set snx (list (cadr (assoc 10 (eval gpvx))) (caddr (assoc 10 (eval gpvx))) (cadddr (assoc 10 (eval gpvx)))))
              (setq sl (cons (eval snx) sl))
              (setq s (+ s 1)))
            (setq sl (reverse sl))
            (setq comm (list "3dpoly" 'command))
;;            (setq comm (list "pline" 'command))
            (foreach pt sl
              (setq pt   (list 'quote pt)
                    comm (cons pt comm)))
            (setq comm (cons "" comm))
            (eval (reverse comm))
            (setq tgn_polylines_4_ad (entlast))
            (setq tgn_polylines_4_verisi (entget tgn_polylines_4_ad))
            (setq tgn_polylines_4_verisi (subst '(8 . "tgn-polylines-4") (assoc 8 tgn_polylines_4_verisi) tgn_polylines_4_verisi))
            (entmod tgn_polylines_4_verisi)
            (setq h (cdr (assoc 5 (entget (entlast)))))
            (command "change" (handent h) "" "p" "lt" "dashed" "")
            (command "change" (handent h) "" "p" "c" "2" "")
            (setq s  1
                  sl nil)
            (repeat (- v 1)
              (setq gpvx (read (strcat "gpv" (itoa s))))
              (setq snx (read (strcat "sn" (itoa s))))
              (set snx (list (cadr (assoc 10 (eval gpvx))) (caddr (assoc 10 (eval gpvx))) (cadddr (assoc 10 (eval gpvx)))))
              (setq sl (cons (eval snx) sl))
              (setq s (+ s 1)))
            (setq comm (list "spline" 'command))
            (foreach pt sl
              (setq pt   (list 'quote pt)
                    comm (cons pt comm)))
            (setq comm (cons "c" comm))
            (setq comm (cons "" comm))
            (eval (reverse comm))
            (setq tgn_splines_4_ad (entlast))
            (setq tgn_splines_4_verisi (entget tgn_splines_4_ad))
            (setq tgn_splines_4_verisi (subst '(8 . "tgn-splines-4") (assoc 8 tgn_splines_4_verisi) tgn_splines_4_verisi))
            (entmod tgn_splines_4_verisi)
            (setq h (cdr (assoc 5 (entget (entlast)))))
            (command "change" (handent h) "" "p" "lt" "dashed" "")
            (command "change" (handent h) "" "p" "c" "2" "")))
          (progn
            (setq s  1
                  sl nil)
            (repeat v
              (setq gpvx (read (strcat "gpv" (itoa s))))
              (setq snx (read (strcat "sn" (itoa s))))
              (set snx (list (cadr (assoc 10 (eval gpvx))) (caddr (assoc 10 (eval gpvx))) (cadddr (assoc 10 (eval gpvx)))))
              (setq sl (cons (eval snx) sl))
              (setq s (+ s 1)))
            (setq sl (reverse sl))
;;            (setq comm (list "pline" 'command))
            (setq comm (list "3dpoly" 'command))
            (foreach pt sl
              (setq pt   (list 'quote pt)
                    comm (cons pt comm)))
            (setq comm (cons "" comm))
            (eval (reverse comm))
            (setq tgn_polylines_4_ad (entlast))
            (setq tgn_polylines_4_verisi (entget tgn_polylines_4_ad))
            (setq tgn_polylines_4_verisi (subst '(8 . "tgn-polylines-4") (assoc 8 tgn_polylines_4_verisi) tgn_polylines_4_verisi))
            (entmod tgn_polylines_4_verisi)
            (setq h (cdr (assoc 5 (entget (entlast)))))
            (command "change" (handent h) "" "p" "lt" "dashed" "")
            (command "change" (handent h) "" "p" "c" "2" "")
            (setq comm (list "spline" 'command))
            (foreach pt sl
              (setq pt   (list 'quote pt)
                    comm (cons pt comm)))
            (setq comm (cons "" comm))
            (setq comm (cons "" comm))
            (setq comm (cons "" comm))
            (eval (reverse comm))
            (setq tgn_splines_4_ad (entlast))
            (setq tgn_splines_4_verisi (entget tgn_splines_4_ad))
            (setq tgn_splines_4_verisi (subst '(8 . "tgn-splines-4") (assoc 8 tgn_splines_4_verisi) tgn_splines_4_verisi))
            (entmod tgn_splines_4_verisi)
            (setq h (cdr (assoc 5 (entget (entlast)))))
            (command "change" (handent h) "" "p" "lt" "dashed" "")
            (command "change" (handent h) "" "p" "c" "2" "")))
      (setq l  (1+ l)
            pl (ssname p l)
            k  1
            v  2))
    (setq atlama-says nil))
)

